## org.apache.maven.plugins.site
Class SiteDescriptorArtifactMetadata

    java.lang.Object
      org.apache.maven.artifact.metadata.AbstractArtifactMetadata
          org.apache.maven.plugins.site.SiteDescriptorArtifactMetadata

All Implemented Interfaces:
  org.apache.maven.artifact.metadata.ArtifactMetadata

    public class SiteDescriptorArtifactMetadata

extends org.apache.maven.artifact.metadata.AbstractArtifactMetadata

Attach a POM to an artifact.

Version:
  $Id: SiteDescriptorArtifactMetadata.java 644528 2008-04-03 22:03:15Z bentmann $
Author:
  Brett Porter

Field Summary

Fields inherited from class org.apache.maven.artifact.metadata.AbstractArtifactMetadata
`artifact`

Constructor Summary
`SiteDescriptorArtifactMetadata(org.apache.maven.artifact.Artifact artifact, org.apache.maven.doxia.site.decoration.DecorationModel decoration, java.io.File file)`

Method Summary
`java.lang.String` `getBaseVersion()`
`java.lang.Object` `getKey()`
`java.lang.String` `getLocalFilename(org.apache.maven.artifact.repository.ArtifactRepository repository)`
`java.lang.String` `getRemoteFilename()`
`void` `merge(org.apache.maven.artifact.metadata.ArtifactMetadata metadata)`
`boolean` `storedInArtifactVersionDirectory()`
`void` `storeInLocalRepository(org.apache.maven.artifact.repository.ArtifactRepository localRepository, org.apache.maven.artifact.repository.ArtifactRepository remoteRepository)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.maven.artifact.metadata.AbstractArtifactMetadata
`extendedToString, getArtifactId, getGroupId, storedInGroupDirectory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SiteDescriptorArtifactMetadata

    public SiteDescriptorArtifactMetadata(org.apache.maven.artifact.Artifact artifact,
                                          org.apache.maven.doxia.site.decoration.DecorationModel decoration,
                                          java.io.File file)

Method Detail

### getRemoteFilename

    public java.lang.String getRemoteFilename()

### getLocalFilename

    public java.lang.String getLocalFilename(org.apache.maven.artifact.repository.ArtifactRepository repository)

### storeInLocalRepository

    public void storeInLocalRepository(org.apache.maven.artifact.repository.ArtifactRepository localRepository,
                                       org.apache.maven.artifact.repository.ArtifactRepository remoteRepository)
                                throws org.apache.maven.artifact.repository.metadata.RepositoryMetadataStoreException

  Throws:
    `org.apache.maven.artifact.repository.metadata.RepositoryMetadataStoreException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### storedInArtifactVersionDirectory

    public boolean storedInArtifactVersionDirectory()

### getBaseVersion

    public java.lang.String getBaseVersion()

### getKey

    public java.lang.Object getKey()

### merge

    public void merge(org.apache.maven.artifact.metadata.ArtifactMetadata metadata)

Copyright © 2011. All Rights Reserved.